GET groups
GET
/groupsAuthorizationBearer <token>
Paste your JWT token here
In: header
Query Parameters
MembershipYear?integer
Format
int32IncludeInactive?boolean
Indicates whether to include inactive groups in the retrieved group data. If set to true, both active and inactive groups will be included in the response; if set to false, only active groups will be included. This field allows for filtering group data based on their active status, enabling the retrieval of groups that are currently active or all groups regardless of their active status based on the client's needs.
Response Body
application/json
application/json
application/json
curl -X GET "https://loading/groups"[
{
"id": 0,
"name": "string",
"active": true,
"type": "Committee",
"groupPicturePath": "string"
}
]{
"message": "string"
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"property1": null,
"property2": null
}